## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by go2rpm 1.8.2
%bcond_without check

# https://github.com/theoapp/theo-agent
%global goipath         github.com/theoapp/theo-agent
Version:                0.15.0

%gometa -f

%global common_description %{expand:
theo-agent is the command line program used to fetch authorized_keys from a
Theo server.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:        %autorelease
Summary:        Theo authorized keys manager agent

License:        Apache-2.0
URL:            %{gourl}
Source:         %{gosource}
Source:         theo-agent.sysusers

BuildRequires:  systemd-rpm-macros

%description %{common_description}

%package -n     theo-agent
Summary:        %{summary}
Recommends:     openssh-server

%description -n theo-agent %{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%build
export LDFLAGS="-X %{goipath}/common.NAME=theo-agent -X %{goipath}/common.VERSION=%{version} -X %{goipath}/common.BUILT=$(date -u +%%Y-%%m-%%dT%%H:%%M:%%S%%z)"
%gobuild -o %{gobuilddir}/bin/theo-agent %{goipath}

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/
install -p -D -m 0644 %{SOURCE1} %{buildroot}%{_sysusersdir}/theo-agent.conf
install -d -m 0755 %{buildroot}%{_sysconfdir}/theo-agent

%if %{with check}
%check
%gocheck
%endif

%pre
%sysusers_create_compat %{SOURCE1}

%files -n theo-agent
%license LICENSE
%doc README.md
%{_bindir}/*
%dir %{_sysconfdir}/theo-agent
%{_sysusersdir}/theo-agent.conf

%gopkgfiles

%changelog
* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> None-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Oct 16 2022 Davide Cavalca <dcavalca@fedoraproject.org> None-1
- Update to 0.15.0; Fixes: RHBZ#2076420

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> - 0.14.0-5
- Rebuild for CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in
  golang

* Sat Jul 09 2022 Maxwell G <gotmax@e.email> - 0.14.0-4
- Rebuild for CVE-2022-{24675,28327,29526 in golang}

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sat Apr 24 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.14.0-1
- Initial package

